<?php

function d5corporate_customize_register($wp_customize){

    
    $wp_customize->add_section('d5corporate_options', array(
        'priority' 		=> 10,
		'capability'     => 'edit_theme_options',
		'title'    		=> __('CORPORATE OPTIONS', 'd5-corporate-lite'),
        'description'   => ' <div class="infohead">' . __('We appreciate an','d5-corporate-lite') . ' <a href="http://wordpress.org/support/view/theme-reviews/d5-corporate-lite" target="_blank">' . __('Honest Review','d5-corporate-lite') . '</a> ' . __('of this Theme if you Love our Work','d5-corporate-lite') . '<br /> <br />

' . __('Need More Features and Options including Exciting 3D Slide and 100+ Advanced Features? Try ','d5-corporate-lite') . '<a href="' . esc_url('http://d5creation.com/theme/corporate/') .'
" target="_blank"><strong>' . __('CORPORATE Extend','d5-corporate-lite') . '</strong></a><br /> <br /> 
        
        
' . __('You can Visit the CORPORATE Extend ','d5-corporate-lite') . ' <a href="' . esc_url('http://demo.d5creation.com/themes/?theme=CORPORATE') .'" target="_blank"><strong>' . __('Demo Here','d5-corporate-lite') . '</strong></a> 
        </div>		
		'
    ));
	
 
 	  
//  Banner Image/ Slide Image

		
    $wp_customize->add_setting('d5corporate[banner-image]', array(
        'default'           => get_template_directory_uri() . '/images/slide-image/slide-image1.jpg',
        'capability'        => 'edit_theme_options',
    	'sanitize_callback' => 'esc_url',
        'type'           	=> 'option'
		

    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'banner-image', array(
        'label'    			=> __('Front Page Banner Image', 'd5-corporate-lite'),
        'section'  			=> 'd5corporate_options',
        'settings' 			=> 'd5corporate[banner-image]',
		'description'   	=> __('Upload an image for the Front Page Banner.1050px X 400px image is recommended', 'd5-corporate-lite')
		
    )));
	
	
// Front Page Heading
    $wp_customize->add_setting('d5corporate[heading_text]', array(
        'default'        	=> __('World class and industry standard IT services are our passion. We build your ideas True','d5-corporate-lite'),
        'capability'     	=> 'edit_theme_options',
    	'sanitize_callback' => 'esc_textarea',
        'type'           	=> 'option'

    ));

    $wp_customize->add_control('d5corporate_heading_text' , array(
        'label'      => __('Front Page Heading', 'd5-corporate-lite'),
        'section'    => 'd5corporate_options',
        'settings'   => 'd5corporate[heading_text]'
    ));
	

	foreach (range(1,4) as $fbsinumber) {
	  
//  Featured Image
    $wp_customize->add_setting('d5corporate[featured-image'. $fbsinumber .']', array(
        'default'           => get_template_directory_uri() . '/images/featured-image' . $fbsinumber . '.jpg',
        'capability'        => 'edit_theme_options',
    	'sanitize_callback' => 'esc_url',
        'type'           	=> 'option'
		

    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'featured-image'. $fbsinumber, array(
        'label'    			=> __('Featured Image', 'd5-corporate-lite') . '-' . $fbsinumber,
        'section'  			=> 'd5corporate_options',
        'settings' 			=> 'd5corporate[featured-image'. $fbsinumber .']',
		'description'   	=> __('Upload an image for the Featured Box. 220px X 100px image is recommended','d5-corporate-lite')
    )));
  
// Featured Image Title
    $wp_customize->add_setting('d5corporate[featured-title' . $fbsinumber . ']', array(
        'default'        	=> __('CORPORATE Theme for Small Business','d5-corporate-lite'),
        'capability'     	=> 'edit_theme_options',
    	'sanitize_callback' => 'esc_textarea',
        'type'           	=> 'option'

    ));

    $wp_customize->add_control('d5corporate_featured-title' . $fbsinumber, array(
        'label'      => __('Featured Title', 'd5-corporate-lite'). '-' . $fbsinumber,
        'section'    => 'd5corporate_options',
        'settings'   => 'd5corporate[featured-title' . $fbsinumber .']'
    ));


// Featured Image Description
    $wp_customize->add_setting('d5corporate[featured-description' . $fbsinumber . ']', array(
        'default'        	=> __('The Customizable Background and other options of CORPORATE will give the WordPress Driven Site an attractive look.  CORPORATE is super elegant and Professional Responsive Theme which will create the business widely expressed','d5-corporate-lite'),
        'capability'     	=> 'edit_theme_options',
    	'sanitize_callback' => 'esc_textarea',
        'type'           	=> 'option'

    ));

    $wp_customize->add_control('d5corporate_featured-description' . $fbsinumber  , array(
        'label'      => __('Featured Description', 'd5-corporate-lite') . '-' . $fbsinumber,
        'section'    => 'd5corporate_options',
        'settings'   => 'd5corporate[featured-description' . $fbsinumber .']',
		'type' 		 => 'textarea'
    ));
	
// Featured Links
    $wp_customize->add_setting('d5corporate[featured-link' . $fbsinumber . ']', array(
        'default'        	=> '#',
        'capability'     	=> 'edit_theme_options',
    	'sanitize_callback' => 'esc_url',
        'type'           	=> 'option'

    ));

    $wp_customize->add_control('d5corporate_featured-link' . $fbsinumber  , array(
        'label'      => __('Featured Link', 'd5-corporate-lite') . '-' . $fbsinumber,
        'section'    => 'd5corporate_options',
        'settings'   => 'd5corporate[featured-link' . $fbsinumber .']'
    ));
	
  }
  
 //  Quote Text
    $wp_customize->add_setting('d5corporate[bottom-quotation]', array(
        'default'        	=> __('All the developers of D5 Creation have come from the disadvantaged part or group of the society. All have established themselves after a long and hard struggle in their life ----- D5 Creation Team',  'd5-corporate-lite'),
    	'sanitize_callback' => 'esc_textarea',
        'capability'     	=> 'edit_theme_options',
        'type'           	=> 'option'

    ));

    $wp_customize->add_control('d5corporate_bottom-quotation', array(
        'label'      => __('Quote Text', 'd5-corporate-lite'),
        'section'    => 'd5corporate_options',
        'settings'   => 'd5corporate[bottom-quotation]',
		'type' 		 => 'textarea'
    )); 
  
 

//  Front Page Post
    $wp_customize->add_setting('d5corporate[lpost]', array(
        'default'        	=> '1',
    	'sanitize_callback' => 'esc_html',
        'capability'     	=> 'edit_theme_options',
        'type'           	=> 'option'

    ));

    $wp_customize->add_control('d5corporate_lpost', array(
        'label'      => __('Display the Latest Posts', 'd5-corporate-lite'),
        'section'    => 'd5corporate_options',
        'settings'   => 'd5corporate[lpost]',
		'description' => __('Check here if you want to display the latest Posts in Front Page','d5-corporate-lite'),
		'type' 		 => 'checkbox'
    ));
	
	

}


add_action('customize_register', 'd5corporate_customize_register');


	if ( ! function_exists( 'd5corporate_get_option' ) ) :
	function d5corporate_get_option( $d5corporate_name, $d5corporate_default = false ) {
	$d5corporate_config = get_option( 'd5corporate' );

	if ( ! isset( $d5corporate_config ) ) : return $d5corporate_default; else: $d5corporate_options = $d5corporate_config; endif;
	if ( isset( $d5corporate_options[$d5corporate_name] ) ):  return $d5corporate_options[$d5corporate_name]; else: return $d5corporate_default; endif;
	}
	endif;